org.apache.commons.jexl3.introspection

## Class JexlSandbox.BlackSet

- java.lang.Object
- - org.apache.commons.jexl3.introspection.JexlSandbox.Names
  - - org.apache.commons.jexl3.introspection.JexlSandbox.BlackSet

- Enclosing class:
    JexlSandbox

  Deprecated.
  since 3.2, use `BlockSet`

      @Deprecated
      public static final class JexlSandbox.BlackSet
      extends JexlSandbox.Names

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BlackSet()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `add(String name)` Adds a name to this set.
    `protected JexlSandbox.Names` | `copy()`
    `String` | `get(String name)` Whether a given name is allowed or not.

    - ### Methods inherited from class org.apache.commons.jexl3.introspection.JexlSandbox.Names

      `alias`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BlackSet

          public BlackSet()

      Deprecated.

  - ### Method Detail

    - #### copy

          protected JexlSandbox.Names copy()

      Overrides:
        `copy` in class `JexlSandbox.Names`
      Returns:
        a copy of these Names

    - #### add

          public boolean add(String name)

      Description copied from class: `JexlSandbox.Names`
      Adds a name to this set.
      Specified by:
        `add` in class `JexlSandbox.Names`
      Parameters:
        `name` - the name to add
      Returns:
        true if the name was really added, false if not

    - #### get

          public String get(String name)

      Description copied from class: `JexlSandbox.Names`
      Whether a given name is allowed or not.
      Overrides:
        `get` in class `JexlSandbox.Names`
      Parameters:
        `name` - the method/property name to check
      Returns:
        null (or NULL if name is null) if not allowed, the actual name to use otherwise

Copyright © 2001–2022 The Apache Software Foundation. All rights reserved.